<!-- Topnav -->
<nav class="navbar navbar-top navbar-expand navbar-dark bg-transparent"
    style="background-color: rgba( 0, 0, 0, .35) !important;">
    <div class="container-fluid">
        <div class="collapse navbar-collapse">
            <!-- Navbar links -->
            <ul class="navbar-nav align-items-center">
                <li class="nav-item d-xl-none">
                    <!-- Sidenav toggler -->
                    <div class="pr-3 sidenav-toggler sidenav-toggler-dark" data-action="sidenav-pin"
                        data-target="#sidenav-main">
                        <div class="sidenav-toggler-inner">
                            <i class="sidenav-toggler-line"></i>
                            <i class="sidenav-toggler-line"></i>
                            <i class="sidenav-toggler-line"></i>
                        </div>
                    </div>
                </li>
            </ul>

            <!-- User -->
            <ul class="navbar-nav align-items-center d-none d-md-flex ml-lg-auto">
            <!-- <ul class="navbar-nav align-items-center ml-auto ml-md-0"> -->
                <li class="nav-item dropdown">
                    <a class="nav-link pr-0" href="#" role="button" data-toggle="dropdown" aria-haspopup="true"
                        aria-expanded="false">
                        <div class="media align-items-center">
                            <span class="avatar avatar-sm rounded-circle">
                                <img alt="Avatar" src="<%= req.session.user.photo %>">
                            </span>
                            <div class="media-body ml-2 d-none d-lg-block">
                                <span class="mb-0 text-sm font-weight-bold ">
                                    <%= req.session.user.name.first %> <%= req.session.user.name.last %>
                                </span>
                            </div>
                        </div>
                    </a>
                    <div class="dropdown-menu dropdown-menu-right ">
                        <div class="dropdown-header noti-title">
                            <h6 class="text-overflow m-0">Vítejte <%= osloveni(req.session.user.name.first) %>!</h6>
                        </div>
                        <a href="/admin/profile/" class="dropdown-item <%= active === 'profile' ? 'active' : '' %>">
                            <i class="fas fa-user"></i>
                            <span>Profil</span>
                        </a>
                        <button type="button" onclick="updateSession()" class="dropdown-item">
                            <i class="fas fa-sync-alt"></i>
                            <span>Aktulizace sezení</span>
                        </button>
                        <div class="dropdown-divider"></div>
                        <a href="/logout" class="dropdown-item">
                            <i class="fas fa-sign-out-alt"></i>
                            <span>Odhlásit se</span>
                        </a>
                    </div>
                </li>
            </ul>
        </div>
    </div>
</nav>
<script>
    function updateSession() {
        swal({
            title: "Sezení se aktualizuje ...",
            text: "Vydrž prosím ...",
            icon: "warning",
            timer: 2000,
        }).then((value) => {
            API.user
                .updateSession()
                .done(function (response) {
                    // console.log(response);
                    switch (response) {
                        case 'ok':
                            swal({
                                title: 'Gratuluji!',
                                text: 'Sezení bylo aktualizováno.',
                                icon: 'success',
                                timer: 3000,
                            }).then(() => {
                                location.reload();
                            });
                            break

                        default:
                            swal({
                                title: 'Chyba!',
                                text: `Kontaktujte prosím správce a vzkažte mu: '${response}'`,
                                icon: 'error',
                            });
                            break
                    }
                })
        })
    }
</script>